## lua-torch-optim 0~20170208-g656c42a

=== debian/changelog ===
lua-torch-optim (0~20170208-g656c42a-3) unstable; urgency=medium

  * tests: Ignore the tput error message to avoid autopkgtest failure.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 21 Nov 2017 05:28:00 +0000

lua-torch-optim (0~20170208-g656c42a-2) unstable; urgency=medium

  * Update autopkgtest files.
  * Discard useless ${shlibs:Depends}, and add the missing
    dependency lua-torch-xlua.
  * Update my name in control and copyright.
  * Bump Standards-Version to 4.1.1 . No change needed.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Oct 2017 13:36:11 +0000

lua-torch-optim (0~20170208-g656c42a-1) experimental; urgency=medium

  * New upstream version 0~20170208-g656c42a
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0 (requires no change).
  * Add autopkgtest control file.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 26 Jul 2017 16:17:57 +0000

lua-torch-optim (0~20161016-g89ef52a-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install upstream test files as examples.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 17 Nov 2016 08:59:42 +0000

lua-torch-optim (0~20160808-g6c59c35-1) experimental; urgency=low

  * Initial release. Closes: #827435

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 14 Aug 2016 14:16:13 +0000
