=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . optim
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-optim 5.2-torch-optim debian/trash optim
	dh_auto_clean
