=== debian/tests/control ===
Test-Command: luajit -loptim -e "os.exit()" 2>/dev/null
Depends: luajit, lua-torch-optim

Test-Command: cd test; luajit -ltorch -loptim test_sgd.lua 2>/dev/null
Depends: luajit, lua-torch-optim

Test-Command: cd test; luajit -ltorch -loptim test_adam.lua 2>/dev/null
Depends: luajit, lua-torch-optim
