## lua-torch-optim 0~20171127-ga5ceed7

=== debian/changelog ===
lua-torch-optim (0~20171127-ga5ceed7-1) unstable; urgency=medium

  * New upstream version 0~20171127-ga5ceed7
  * Add watch file to monitor upstream master branch.
  * Bump debhelper compat level to 11.
  * Point Vcs-* fields to Salsa.
  * Bump Standards-Version to 4.1.4 . (no change)
  * Change copyright-format URL into https form.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Apr 2018 08:10:55 +0000
