=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper (>=11),
                dh-lua,
 # lua-torch-torch7 is not a real B-D, but an explicit runtime dependency
                lua-torch-torch7,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/torch/optim
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-optim.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-optim.git
+Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-optim
+Vcs-Git: https://salsa.debian.org/science-team/lua-torch-optim.git
 
 Package: lua-torch-optim
 Architecture: all
